/* RadUpload / Default skin */
/* <general styles> */
.RadUpload_MyUploadSkin,
.RadUpload_MyUploadSkin a,
.RadUpload_MyUploadSkin input,
.RadUploadProgressArea_Default,
.RadUploadProgressArea_Default input {
}

/* </general styles> */
/* <file inputs> */
.RadUpload_MyUploadSkin .ruStyled .ruFileInput {
  border-color: #abadb3; }

.RadUpload_MyUploadSkin .ruFakeInput {
  border-color: #abadb3 #dbdfe6 #e3e9ef #e2e3ea;
  color: #333; }

* html .RadUpload_MyUploadSkin .ruFileWrap .ruInputHover {
  border-color: #abadb3; }

* + html .RadUpload_MyUploadSkin .ruFileWrap .ruInputHover {
  border-color: #abadb3; }

.RadUpload_MyUploadSkin .ruReadOnly .ruFakeInput {
  background: #f3f3f3; }

/* </file inputs> */
/* <buttons> 
.RadUpload_MyUploadSkin .ruButton,
.RadUploadProgressArea_Default .ruButton {
  background:  #ebebeb url(../Images/buttonsprite.gif) repeat-x scroll 0 0;
  color: #111; }

.RadUpload_MyUploadSkin .ruRemove {
  color: #333; }

/* CSS for field type - Image  -- updated by JNG for TFS#6668  -- the first background-position values are the original values, the second background-position and the border styles are the values from fminteract.css 
div.RadUpload_MyUploadSkin .ruInputs .ruButtonHover,
div.RadUpload_MyUploadSkin .ruActions .ruButtonHover,
div.RadUploadProgressArea_Default .ruActions .ruButtonHover {
  background-position: 100% -23px; background-position: 0 -150px; border: 1px solid #397DB5;background-color:#addbf7;cursor:pointer; }

div.RadUpload_MyUploadSkin .ruFileWrap .ruButtonHover {
  background-position: 100% 0; background-position: 0 -150px; border: 1px solid #397DB5;background-color:#addbf7;cursor:pointer; }
/* end of updates for TFS#6668 */

/* </buttons> */
/* <submit button> */
/* (use this class to style a single button for uploads) */
.RadUploadSubmit {
  background-image: url('Upload/ruSprite.png');
  color: #000; }

/* </submit button> */
/* <progress area> */
.RadUploadProgressArea_Default .ruProgress {
  border-color: #868686;
  background-image: url('Upload/ruSprite.png');
  background-color: #fff; }

.RadUploadProgressArea_Default .ruProgress li {
  color: #666; }

.RadUploadProgressArea_Default .ruProgress li.ruCurrentFile {
  color: #222; }

.RadUploadProgressArea_Default .ruProgress .ruBar { border-color: #b1b1b1 #a2a2a2 #8e8e8e; }

.RadUploadProgressArea_Default .ruProgress .ruBar div {
  background-image: url('Upload/ruProgress.gif'); }

.RadUploadProgressArea_Default_rtl .ruProgress .ruBar div {
  background-image: url('Upload/ruProgress.gif'); }

.RadUploadProgressArea_Default .ruProgress .ruActions {
  border-top-color: #dfdfdf;
  background: #f0f0f0; }

.RadUploadProgressArea_Default .ruProgress .ruActions {
  border-top-color: #828282;
  background: #f0f0f0; }

/*in context of dialogs*/
.fmi-dialog-progress.RadUploadProgressArea { position: absolute; top: 0; bottom: 0; left: 0; right: 0; background: rgba(128, 128, 128,.5); z-index:9999; }
.fmi-dialog-progress.RadUploadProgressArea .ruShadow { position: absolute; top: 50%; left: 50%;  transform: translate(-50%, -50%); width:250px;}

/* </progress area> */
/* <RadAsyncUpload> */
.RadUpload_MyUploadSkin .ruUploadInvalid {
  background-repeat: no-repeat;
  background-position: 100% -297px;
  background-image: url('Upload/sprite.gif'); }

.RadUpload_MyUploadSkin_rtl .ruUploadInvalid {
  background-position: 3px -297px; }

.RadUpload_MyUploadSkin .ruFileProgress,
.RadUpload_MyUploadSkin .ruFileProgressWrap {
  background-image: url('Upload/AsyncProgress.png'); }

.RadUpload_MyUploadSkin .ruFileProgress,
.RadUpload_MyUploadSkin_rtl .ruFileProgressWrap {
  background-position: 0 0; }

.RadUpload_MyUploadSkin .ruFileProgressWrap,
.RadUpload_MyUploadSkin_rtl .ruFileProgress {
  background-position: 100% 0; }

.RadUpload_MyUploadSkin .ruProgressStarted,
.RadUpload_MyUploadSkin_rtl .ruProgressComplete {
  background-position: 0 -5px; }

.RadUpload_MyUploadSkin .ruProgressComplete,
.RadUpload_MyUploadSkin_rtl .ruProgressStarted {
  background-position: 100% -5px; }

/* </RadAsyncUpload> */
.RadUpload_MyUploadSkin .ruDropZone,
.RadUpload_MyUploadSkin_rtl .ruDropZone {
  border-color: #9b9b9b;
  color: #6e6e6e;
  background-color: #eeeeee; }

